Search for games and other entities via the games.gamesgamesgamesgames catalog. Proxied from the configured games API.
GET
/xrpc/place.stream.game.search
const url = 'https://example.com/xrpc/place.stream.game.search?q=example&limit=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/xrpc/place.stream.game.search?q=example&limit=20'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
required
string
limit
integer
cursor
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
cursor
string
totalResults
integer
results
required
Array
One of:
object
uri
required
string format: uri
name
required
string
slug
string
media
Array<object>
object
blob
string format: binary
title
string
width
integer
height
integer
locale
string
mediaType
string
description
string
summary
string
applicationType
string
firstReleaseDate
Earliest release date as YYYYMMDD integer.
integer
object
did
required
string format: did
uri
required
string format: uri
avatar
string format: binary
displayName
string
profileType
required
string
object
uri
required
string format: uri
name
required
string
slug
string
category
string
abbreviation
string
object
uri
required
string format: uri
name
required
string
slug
string
type
string
object
uri
required
string format: uri
name
required
string
slug
string
Example
{ "results": [ { "media": [ { "mediaType": "accoladesTrailer" } ], "applicationType": "addon" } ]}